<?php

namespace App\Repository;

use App\Entity\LandValue;
use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;

class LandValueRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, LandValue::class);
    }

    public function findByAveragePricePerMonth()
    {
        return $this->createQueryBuilder('lv')
            ->select('lv.mutationDate, lv.landValue, lv.actualBuiltUpArea')
            ->where('lv.mutationType = :sale')
            ->andWhere('lv.localType IN (:apartment, :house)')
            ->andWhere('lv.landValue > 0')
            ->andWhere('lv.actualBuiltUpArea > 0')
            ->setParameter('sale', 'Vente')
            ->setParameter('apartment', 'Appartement')
            ->setParameter('house', 'Maison')
            ->orderBy('lv.mutationDate', 'ASC')
            ->getQuery()
            ->getResult();
    }

    // /**
    //  * @return ValeursFonciere[] Returns an array of ValeursFonciere objects
    //  */
    /*
    public function findByExampleField($value)
    {
        return $this->createQueryBuilder('v')
            ->andWhere('v.exampleField = :val')
            ->setParameter('val', $value)
            ->orderBy('v.id', 'ASC')
            ->setMaxResults(10)
            ->getQuery()
            ->getResult()
        ;
    }
    */

    /*
    public function findOneBySomeField($value): ?ValeursFonciere
    {
        return $this->createQueryBuilder('v')
            ->andWhere('v.exampleField = :val')
            ->setParameter('val', $value)
            ->getQuery()
            ->getOneOrNullResult()
        ;
    }
    */
}
